Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class Contract.Builder

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.Contract.Builder

Enclosing class:
  `Contract`

public static class Contract.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Contract`
  `build()`
  `Contract.Builder`
  `setBalanceLimit(BigDecimal limit)`
  `Contract.Builder`
  `setBalanceMode(byte balanceMode)`
  `Contract.Builder`
  `setBalanceSubMode(byte balanceSubMode)`
  `Contract.Builder`
  `setComment(String comment)`
  `Contract.Builder`
  `setCommentPatternId(int commentPatternId)`
  `Contract.Builder`
  `setDateFrom(Date dateFrom)`
  `Contract.Builder`
  `setDateTo(Date dateTo)`
  `Contract.Builder`
  `setDependSubList(String dependSubList)`
  `Contract.Builder`
  `setDomainId(int domainId)`
  `Contract.Builder`
  `setGroups(long groups)`
  `Contract.Builder`
  `setHidden(boolean hidden)`
  `Contract.Builder`
  `setId(int value)`
  `Contract.Builder`
  `setParamGroupId(int paramGroupId)`
  `Contract.Builder`
  `setPassword(String password)`
  `Contract.Builder`
  `setPersonType(byte personType)`
  `Contract.Builder`
  `setStatus(byte status)`
  `Contract.Builder`
  `setStatusTimeChange(Date statusTimeChange)`
  `Contract.Builder`
  `setSuperContractId(int superContractId)`
  `Contract.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public Contract.Builder setId(int value)

  - ### setTitle

    public Contract.Builder setTitle(String title)

  - ### setPassword

    public Contract.Builder setPassword(String password)

  - ### setDateFrom

    public Contract.Builder setDateFrom(Date dateFrom)

  - ### setDateTo

    public Contract.Builder setDateTo(Date dateTo)

  - ### setGroups

    public Contract.Builder setGroups(long groups)

  - ### setStatus

    public Contract.Builder setStatus(byte status)

  - ### setBalanceMode

    public Contract.Builder setBalanceMode(byte balanceMode)

  - ### setBalanceLimit

    public Contract.Builder setBalanceLimit(BigDecimal limit)

  - ### setDependSubList

    public Contract.Builder setDependSubList(String dependSubList)

  - ### setPersonType

    public Contract.Builder setPersonType(byte personType)

  - ### setParamGroupId

    public Contract.Builder setParamGroupId(int paramGroupId)

  - ### setComment

    public Contract.Builder setComment(String comment)

  - ### setSuperContractId

    public Contract.Builder setSuperContractId(int superContractId)

  - ### setStatusTimeChange

    public Contract.Builder setStatusTimeChange(Date statusTimeChange)

  - ### setCommentPatternId

    public Contract.Builder setCommentPatternId(int commentPatternId)

  - ### setBalanceSubMode

    public Contract.Builder setBalanceSubMode(byte balanceSubMode)

  - ### setDomainId

    public Contract.Builder setDomainId(int domainId)

  - ### setHidden

    public Contract.Builder setHidden(boolean hidden)

  - ### build

    public Contract build()